.\" @(#) $Name: arts++-0-9-b6 $ $Id: artsagg.man,v 1.1 1999/01/22 08:23:58 dwm Exp $
.TH artsagg l LOCAL
.SH NAME
artsagg \- utility to aggregate ARTS objects in time domain
.SH SYNOPSIS
artsagg [-v] [-h hours] [-o] [-q] outfile infile(s)
.SH DESCRIPTION
.I artsagg
is a utility that reads ARTS objects from ARTS files (\fIinfile(s)\fR)
and aggregates them in the time domain, placing the resulting object(s)
into an output file (\fIoutfile\fR).  For example, you may use
\fIartsagg\fR to aggregate 5-minute ARTS data to 1-hour ARTS data.
\fIartsagg\fR aggregates the following ARTS data types:
.nf

  protocol table
  interface matrix
  IP nexthop table
  AS matrix
  net matrix
  port matrix
.fi

.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsagg\fR to print version information
and exit immediately.
.IP "\fB-h hours"
The \fI-h hours\fR option may be used to specify the period of
aggregation, in hours.  The \fIhours\fR argument accepts a decimal value
to permit aggregation by fractional hour values.  When the \fI-h
hours\fR option is not used, \fIartsagg\fR will write a single ARTS
object for each ARTS data type for each interface.  These objects will
be aggregates for the entire time interval seen in
\fIinfile(s)\fR.
.IP "\fB-o"
By default, \fIartsagg\fR appends to the output file, so you may
accumlate aggregate objects in a single file over multiple invocations
of \fIartsagg\fR.  You may override this behavior with the \fI-o\fR
option.  This will cause \fIartsagg\fR to overwrite the output file
instead of appending to it.
.IP "\fB-q"
By default, \fIartsagg\fR prints a '.' for each object it
reads and prints a '+' for each object it writes.  You may suppress this
behavior using the \fI-q\fR (quiet) option.
.SH EXAMPLES
.IP "artsagg -h 1.0 /tmp/artsagg1hr.19980821 arts.19980821"
.SH NOTES
.SH SEE ALSO
artsases(l), artsdump(l), artsnets(l), artsnetagg(l), artsportagg(l), 
artsasagg(l), artsports(l), artsprotoagg(l), artsprotos(l), artstoc(l), 
jcdstasbar(l), jcsrcasbar(l)
.SH ACKNOWLEDGEMENTS
\fBartsagg \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

