.\" @(#) $Name: arts++-0-9-b6 $ $Id: artsintfmagg.man,v 1.1 1998/12/07 04:14:59 dwm Exp $
.TH artsintfmagg l LOCAL
.SH NAME
artsintfmagg \- utility to aggregate interface matrix objects in time domain
.SH SYNOPSIS
artsintfmagg [-v] [-h hours] [-o] [-q] outfile infile(s)
.SH DESCRIPTION
.I artsintfmagg
is a utility that reads interface matrix objects from ARTS files
(\fIinfile(s)\fR) and aggregates them in the time domain, placing the
resulting interface matrix object(s) into an output file
(\fIoutfile\fR).  For example, you may use \fIartsintfmagg\fR to
aggregate 5-minute interface matrix data to 1-hour interface matrix
data.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsintfmagg\fR to print version information
and exit immediately.
.IP "\fB-h hours"
The \fI-h hours\fR option may be used to specify the period of
aggregation, in hours.  The \fIhours\fR argument accepts a decimal value
to permit aggregation by fractional hour values.  When the \fI-h
hours\fR option is not used, \fIartsintfmagg\fR will write a single
interface matrix object for the entire time interval seen in
\fIinfile(s)\fR to \fIoutfile\fR.
.IP "\fB-o"
By default, \fIartsintfmagg\fR appends to the output file, so you may
accumlate aggregate interface matrix objects in a single file over
multiple invocations of \fIartsintfmagg\fR.  You may override this
behavior with the \fI-o\fR option.  This will cause \fIartsintfmagg\fR
to overwrite the output file instead of appending to it.
.IP "\fB-q"
By default, \fIartsintfmagg\fR prints a '.' for each interface matrix
object it reads and prints a '+' for each object it writes.  You may
suppress this behavior using the \fI-q\fR (quiet) option.
.SH EXAMPLES
.IP "artsintfmagg -h 1.0 /tmp/intfmagg1hr.19980821 arts.19980821
.SH NOTES
.SH SEE ALSO
artsintfms(l), artsnexthops(l), artsnexthopagg(l), artsases(l), 
artsdump(l), artsnets(l), artsnetagg(l), artsportagg(l), artsports(l),
artsprotoagg(l), artsprotos(l), artstoc(l), jcdstasbar(l), jcsrcasbar(l)
.SH ACKNOWLEDGEMENTS
\fBartsintfmagg \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

