.\" @(#) $Name: arts++-0-9-b6 $ $Id: artsnets.man,v 1.9 1999/01/22 02:03:26 dwm Exp $
.TH artsnets l LOCAL
.SH NAME
artsnets \- utility to display net matrix objects from ARTS files
.SH SYNOPSIS
artsnets [-v] [-r] [-p] [-s srcNet/masklen] [-d dstNet/masklen] infile(s)
.SH DESCRIPTION
.I artsnets
is a utility that reads net matrix objects from ARTS files (\fIinfile(s)\fR)
and displays a summary of their contents on stdout.
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsnets\fR to print version information
and exit immediately.
.IP "\fB-r"
The \fI-r\fR option will cause the traffic rates (pkts/sec and bits/sec)
to be printed instead of packets and bytes.
.IP "\fB-p"
The \fI-p\fR option will cause the entries to be sorted in descending
order by packet count before being printed on stdout.  The default is
to sort in descending order by byte count.
.IP "\fB-s srcNet/masklen"
The \fI-s srcNet/masklen\fR option will cause only entries with a source
network address equal to \fIsrcNet\fR and a source netmask length of 
\fImasklen\fR (or greater) to be shown.
.IP "\fB-d dstNet/masklen"
The \fI-s dstNet/masklen\fR option will cause only entries with a destination
network address equal to \fIdstNet\fR and a destination netmask length of 
\fImasklen\fR (or greater) to be shown.
.SH EXAMPLES
.IP "artsnets arts.19980821"
.IP "artsnets -s 166.48.0.0/16 arts.19980821"
.SH SEE ALSO
artsnetagg(l), artsdump(l), artsases(l), artsasagg(l), artsportagg(l), 
artsports(l), artsprotoagg(l), artsprotos(l), artstoc(l), jcdstasbar(l),
jcsrcasbar(l)
.SH ACKNOWLEDGEMENTS
\fBartsnets \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

